import {
  CLEAR_RCENT_KEYWORD,
  CREATE_CONEXT,
  GENERATE_MENU,
  GET_CONFIG,
  GET_CURRENT_INDEX,
  GET_CURRENT_ROUTES,
  GET_ERROR_CONFIG,
  GET_RCENT_KEYWORD,
  GET_RECENT_PRODUCT,
  GET_RECENT_VISITED,
  GET_THEME_CONFIG,
} from './constants';

export function getConfig(data) {
  return {
    type: GET_CONFIG,
    data,
  };
}

export function getConfigError(error) {
  return {
    type: GET_ERROR_CONFIG,
    error,
  };
}

export function getCurrentRoute(data) {
  return {
    type: GET_CURRENT_ROUTES,
    data,
  };
}
export function createContext(data) {
  return {
    type: CREATE_CONEXT,
    data,
  };
}

export function generateMenu(data) {
  return {
    type: GENERATE_MENU,
    data,
  };
}

export function updageSetting(data) {
  return {
    type: GET_THEME_CONFIG,
    data,
  };
}

export function updateRecentKeywords(data) {
  return {
    type: GET_RCENT_KEYWORD,
    data
  }
}

export function updateRecentVisited(data) {
  return {
    type: GET_RECENT_VISITED,
    data
  }
}

export function updateCurrentIndex(data) {
  return {
    type: GET_CURRENT_INDEX,
    data
  }
}

export function updateRecentProduct(data) {
  return {
    type: GET_RECENT_PRODUCT,
    data
  }
}

export function clearRecentProduct() {
  return {
    type: CLEAR_RCENT_KEYWORD
  }
}